[PATCH 69/94] sys-kernel/hurd: fix automagic xkb

Sam James <[email protected]>
Newsgroups gmane.linux.gentoo.devel
Message-ID <afa555327e50bc5dc18a58450dcfe61fca1b6aea.1774994351.git.sam@gentoo.org>
Signed-off-by: Sam James <[email protected]>
---
 sys-kernel/hurd/hurd-0.9_p20251029.ebuild | 5 ++++-
 sys-kernel/hurd/hurd-9999.ebuild          | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/sys-kernel/hurd/hurd-0.9_p20251029.ebuild b/sys-kernel/hurd/hurd-0.9_p20251029.ebuild
index 61a4dd09a6092..a79875458ec24 100644
--- a/sys-kernel/hurd/hurd-0.9_p20251029.ebuild
+++ b/sys-kernel/hurd/hurd-0.9_p20251029.ebuild
@@ -40,7 +40,6 @@ if is_crosspkg ; then
 		!headers-only? ( cross-${CTARGET}/mig )
 	"
 else
-	# TODO: fix xkb automagic
 	DEPEND="
 		app-arch/bzip2:=[static-libs]
 		dev-libs/libdaemon:=
@@ -139,6 +138,10 @@ src_configure() {
 			$(use_enable ncurses ncursesw)
 			$(use_with rumpkernel rump)
 		)
+
+		cat <<-EOF >> config.make.in || die "Failed to amend config.make.in"
+		HAVE_XKBCOMMON = $(usex xkb)
+		EOF
 	fi
 
 	econf "${myeconfargs[@]}"
diff --git a/sys-kernel/hurd/hurd-9999.ebuild b/sys-kernel/hurd/hurd-9999.ebuild
index 92f0c89d304a2..a856794ebc293 100644
--- a/sys-kernel/hurd/hurd-9999.ebuild
+++ b/sys-kernel/hurd/hurd-9999.ebuild
@@ -40,7 +40,6 @@ if is_crosspkg ; then
 		!headers-only? ( cross-${CTARGET}/mig )
 	"
 else
-	# TODO: fix xkb automagic
 	DEPEND="
 		app-arch/bzip2:=[static-libs]
 		dev-libs/libdaemon:=
@@ -138,6 +137,10 @@ src_configure() {
 			$(use_enable ncurses ncursesw)
 			$(use_with rumpkernel rump)
 		)
+
+		cat <<-EOF >> config.make.in || die "Failed to amend config.make.in"
+		HAVE_XKBCOMMON = $(usex xkb)
+		EOF
 	fi
 
 	econf "${myeconfargs[@]}"
-- 
2.53.0
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.